Summary
Get all available rest calls in IAP.
Description
Get all available rest calls in IAP.
Route
GET /automation-studio/json-forms/method-options
Roles
admin
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| This method has no parameters |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| calls |
array |
List of all rest calls available in the system. |
Copied to Clipboard
[
{
"name": "in incididunt ex nostrud ut",
"sourceType": "deserunt in voluptate magna",
"path": "aliqua irure",
"verb": "POST",
"origin": "nisi magna"
},
{
"name": "sint",
"sourceType": "exercitation nulla ut pariatur",
"path": "Excepteur pariatur adipisicing in dolor",
"verb": "GET",
"origin": "dolor et nulla non"
},
{
"name": "incididunt",
"sourceType": "labore nostrud cillum tempor",
"path": "veniam officia",
"verb": "GET",
"origin": "commodo tempor proident cupidatat ad"
},
{
"name": "esse nisi",
"sourceType": "ut in eiusmod",
"path": "sit tempor est",
"verb": "GET",
"origin": "amet aliquip eu dolor irure"
}
]
Copied to Clipboard
{
"title": "calls",
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"sourceType": {
"type": "string"
},
"path": {
"type": "string"
},
"verb": {
"type": "string",
"enum": [
"GET",
"POST"
]
},
"origin": {
"type": "string"
}
}
}
}